import Request from '@/utils/request/request-util';

/**
 * 门户后台管理 - 应用快捷链接api
 *
 */
export class AppLinkApi {
    /**
     * 获取应用链接列表（带分页）
     * @param {*} params
     */
    static findPage(params) {
        return Request.get('/commonAppLink/page', params);
    }

    /**
     * 添加
     * @param {*} params
     */
    static add(params) {
        return Request.post('/commonAppLink/add', params);
    }
    /**
     * 编辑
     * @param {*} params
     */
    static edit(params) {
        return Request.post('/commonAppLink/edit', params);
    }
    /**
     * 删除单个
     * @param {*} params
     */
    static delete(params) {
        return Request.post('/commonAppLink/delete', params);
    }
    /**
     * 删除多个
     * @param {*} params
     */
    static batchDelete(params) {
        return Request.post('/commonAppLink/batchDelete', params);
    }
    /**
     * 详情
     * @param {*} params
     */
    static detail(params) {
        return Request.getAndLoadData('/commonAppLink/detail', params);
    }
    /**
         * 获取应用分类+应用连接
         * @param {*} params
         */
    static summary(params) {
        return Request.post('/component/appLink/summary', params);
    }
    /**
     * 获取所有应用链接分类
     * @param {*} params
     */
    static getCategoryList(params) {
        return Request.getAndLoadData('/component/appLink/getCategoryList', params);
    }
}